SalesOS.

I R I S Rank A P I

SalesOS Rank engagement scoring algorithm

Score and rank entities

  Compute IRISRank scores for a set of entities. Returns ranked list with
  network importance, activity signals, momentum metrics, and actionable insights.

  **Use Cases:**
  - Daily lead prioritization
  - Account health scoring
  - Campaign targeting
  - Territory optimization
POST
/v1/iris-rank/score

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/iris-rank/score" \
  -H "Authorization: Bearer <token>"

Entities ranked successfully

Batch score multiple entity sets

  Process multiple batches of entities in a single request.
  Useful for comparing different segments or territories.

  **Use Cases:**
  - Compare lead quality across territories
  - Score multiple campaign segments
  - Regional account health comparison
POST
/v1/iris-rank/batch

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/iris-rank/batch" \
  -H "Authorization: Bearer <token>"

Identify at-risk entities

  Find entities with declining engagement or churn risk signals.
  Uses velocity and acceleration to detect negative momentum.

  **Use Cases:**
  - Customer success: Identify accounts needing attention
  - Sales: Find stalled deals
  - Marketing: Re-engagement campaigns
POST
/v1/iris-rank/at-risk

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/iris-rank/at-risk" \
  -H "Authorization: Bearer <token>"

Find entities with positive momentum

  Identify entities with accelerating engagement - hot leads,
  progressing deals, engaged accounts.

  **Use Cases:**
  - Sales: Find hot leads to prioritize
  - Marketing: Identify engaged prospects
  - Success: Find expansion opportunities
POST
/v1/iris-rank/momentum

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/iris-rank/momentum" \
  -H "Authorization: Bearer <token>"

Generate portfolio insights

  Analyze a set of entities and generate actionable insights
  about distribution, trends, and recommendations.

  **Use Cases:**
  - Sales ops: Pipeline health reports
  - Leadership: Territory performance
  - Marketing: Segment analysis
POST
/v1/iris-rank/insights

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/iris-rank/insights" \
  -H "Authorization: Bearer <token>"

Generate AI-powered next steps for an entity

  Uses Claude AI to analyze an entity's data and generate personalized
  engagement recommendations and next steps.

  **Use Cases:**
  - Sales: Get specific actions to move a lead forward
  - Account Management: Re-engagement strategies
  - Pipeline: Deal acceleration tactics
POST
/v1/iris-rank/next-steps

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/iris-rank/next-steps" \
  -H "Authorization: Bearer <token>"

Next steps generated successfully

Get current IRISRank configuration

Returns the current weights, activity types, and relationship types.

GET
/v1/iris-rank/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/iris-rank/config" \
  -H "Authorization: Bearer <token>"

Get IRISRank usage statistics

Returns computation statistics and cache info.

GET
/v1/iris-rank/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/iris-rank/stats" \
  -H "Authorization: Bearer <token>"

Health check endpoint

GET
/v1/iris-rank/health
curl -X GET "https://api.salesos.org/v1/iris-rank/health"